<?php

/**
 * Class that operate on table 'rentproduct'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-08-17 10:06
 */
class RentproductMySqlExtDAO extends RentproductMySqlDAO {

    public function queryAllwithnodel() {
        $sql = 'SELECT * FROM rentproduct where isdel = 0';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function tempdelete($rentproduct) {
        $sql = 'UPDATE rentproduct SET isdel = ? WHERE id = ?';
        $sqlQuery = new SqlQuery($sql);

        $sqlQuery->set($rentproduct->isdel);
        $sqlQuery->setNumber($rentproduct->id);

        return $this->executeUpdate($sqlQuery);
    }

    public function getproducts($name, $idsQueryString) {
        $sql = 'SELECT *
		FROM rentproduct
                WHERE  (name LIKE "%' . $name . '%" ) AND isdel=0 ' . $idsQueryString . ' ';
        $sqlQuery = new SqlQuery($sql);

        return $this->getList($sqlQuery);
    }

    public function updateprice($rentproduct) {
        $sql = 'UPDATE rentproduct SET name = ?, buyprice = ?, totalprice = ?, rentprice = ?,  info = ? , dailyentryid = ? WHERE id = ?';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->set($rentproduct->name);
        $sqlQuery->set($rentproduct->buyprice);
        $sqlQuery->set($rentproduct->totalprice);
        $sqlQuery->set($rentproduct->rentprice);
        $sqlQuery->set($rentproduct->info);
        $sqlQuery->setNumber($rentproduct->dailyentryid);
        $sqlQuery->setNumber($rentproduct->id);
        return $this->executeUpdate($sqlQuery);
    }

}

?>